<?php
namespace Mageplaza\Blog\Block\Adminhtml\Post\Edit\Tab\Renderer\History\Store;

/**
 * Interceptor class for @see \Mageplaza\Blog\Block\Adminhtml\Post\Edit\Tab\Renderer\History\Store
 */
class Interceptor extends \Mageplaza\Blog\Block\Adminhtml\Post\Edit\Tab\Renderer\History\Store implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Store\Model\System\Store $systemStore, \Magento\Framework\Escaper $escaper)
    {
        $this->___init();
        parent::__construct($systemStore, $escaper);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
